﻿Imports System.Collections.ObjectModel

Public Class Form1
    Public Sub New()

        ' This call is required by the designer.
        InitializeComponent()
        UltraFunnelChart1.DataSource = New TestData()
        UltraFunnelChart1.ValueMemberPath = "Value"
        UltraFunnelChart1.InnerLabelMemberPath = "Value"
        UltraFunnelChart1.InnerLabelVisibility = Infragistics.Portable.Components.UI.Visibility.Visible
        UltraFunnelChart1.OuterLabelMemberPath = "Label"
        UltraFunnelChart1.OuterLabelVisibility = Infragistics.Portable.Components.UI.Visibility.Visible
        UltraFunnelChart1.UseOuterLabelsForLegend = True
        UltraFunnelChart1.UseUnselectedStyle = True
        UltraFunnelChart1.AllowSliceSelection = True
        UltraFunnelChart1.TransitionDuration = 1

        Dim test As Func(Of Object, Integer, Object, String) = Function(ByVal value As Object, ByVal index As Integer, ByVal funnelChart As Object)
                                                                   Return String.Format("{0:c}", value)
                                                               End Function
        UltraFunnelChart1.FormatInnerLabel = test

        ' Add any initialization after the InitializeComponent() call.

    End Sub

End Class


Public Class TestData
    Inherits ObservableCollection(Of TestDataItem)
    Public Sub New()
        Dim slice1 As New TestDataItem()
        slice1.Label = "Impressions"
        slice1.Value = 3000
        Add(slice1)
        Dim slice2 As New TestDataItem()
        slice2.Label = "Clicks"
        slice2.Value = 2000
        Add(slice2)
        Dim slice3 As New TestDataItem()
        slice3.Label = "Free Downloads"
        slice3.Value = 1000
        Add(slice3)
        Dim slice4 As New TestDataItem()
        slice4.Label = "Purchase"
        slice4.Value = 3000
        Add(slice4)
        Dim slice5 As New TestDataItem()
        slice5.Label = "Repeat Purchase"
        slice5.Value = 500
        Add(slice5)
    End Sub
End Class
Public Class TestDataItem
    Public Property Label() As String
        Get
            Return m_Label
        End Get
        Set
            m_Label = Value
        End Set
    End Property
    Private m_Label As String
    Public Property Value() As Double
        Get
            Return m_Value
        End Get
        Set
            m_Value = Value
        End Set
    End Property
    Private m_Value As Double
End Class

